edu.whs.spin2018.baoapp.service.spieleinstellungen

## Interface SpieleinstellungenRemoteDataSource

- All Superinterfaces:
    BaoServiceInterface, BaseInteractorInterface, SpieleinstellungenEventListener
  All Known Implementing Classes:
    SpieleinstellungenServiceInteractor

      public interface SpieleinstellungenRemoteDataSource
      extends SpieleinstellungenEventListener, BaseInteractorInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendeMinuten(int minuten, java.lang.String aktuellerRaum)`
    `void` | `sendeSekunden(int sekunden, java.lang.String aktuellerRaum)`
    `void` | `sendeSpielerIstBereit(boolean istBereit, java.lang.String raum)`
    `void` | `sendeZeitTyp(java.lang.String zeitTyp, java.lang.String raum)`
    `void` | `setzeListener(SpieleinstellungenEventListener listener)`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.spieleinstellungen.SpieleinstellungenEventListener

      `onGegnerAendertMinuten, onGegnerAendertSekunden, onGegnerAendertZeitTyp, onGegnerIstBereit, onGegnerVerlaesstRaum`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaseInteractorInterface

      `entferneRegistrierteListener, onNeueNachricht, registriereBenoetigteListener`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaoServiceInterface

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

- - ### Method Detail

    - #### sendeZeitTyp

          void sendeZeitTyp(java.lang.String zeitTyp,
                            java.lang.String raum)

    - #### sendeSpielerIstBereit

          void sendeSpielerIstBereit(boolean istBereit,
                                     java.lang.String raum)

    - #### sendeSekunden

          void sendeSekunden(int sekunden,
                             java.lang.String aktuellerRaum)

    - #### sendeMinuten

          void sendeMinuten(int minuten,
                            java.lang.String aktuellerRaum)

    - #### setzeListener

          void setzeListener(SpieleinstellungenEventListener listener)